Package com.ocient.transport

# Enum Class TransportException.FailMode

java.lang.Object
java.lang.Enum<TransportException.FailMode>
com.ocient.transport.TransportException.FailMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TransportException.FailMode>`, `Constable`

Enclosing class:
  `TransportException`

public static enum TransportException.FailMode extends Enum<TransportException.FailMode>
Specifies whether the exception occurred during a send or receive operation.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RECV`
Indicates that the exception occurred during a receive operation.
`SEND`
Indicates that the exception occurred during a send operation.

## Method Summary

Modifier and Type
Method
Description
`static TransportException.FailMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TransportException.FailMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SEND

public static final TransportException.FailMode SEND
Indicates that the exception occurred during a send operation.

### RECV

public static final TransportException.FailMode RECV
Indicates that the exception occurred during a receive operation.

## Method Details

### values

public static TransportException.FailMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TransportException.FailMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null